{
	"name": "@avocadi/ui",
	"type": "module",
	"version": "0.2.14",
	"description": "ui elements for avocadi",
	"private": false,
	"files": [
		"dist"
	],
	"scripts": {
		"build": "tsdown"
	},
	"devDependencies": {
		"@biomejs/biome": "^2.4.13",
		"@bosh-code/tsdown-plugin-inject-css": "^2.0.0",
		"@bosh-code/tsdown-plugin-tailwindcss": "^1.0.1",
		"@rollup/plugin-url": "^8.0.2",
		"@types/bun": "latest",
		"tsdown": "^0.21.10",
		"tw-animate-css": "^1.4.0"
	},
	"peerDependencies": {
		"@unom/style": "^0.4.4",
		"@payloadcms/richtext-lexical": "^3.84.1",
		"class-variance-authority": "^0.7.1",
		"embla-carousel-react": "^8.6.0",
		"lucide-react": "^1.11.0",
		"motion": "^12.38.0",
		"radix-ui": "^1.4.3",
		"react": "^19.2.5",
		"typescript": "^6",
		"use-sound": "^5.0.0",
		"zod": "^4.3.6"
	},
	"exports": {
		"./accordion": "./dist/accordion.js",
		"./button": "./dist/button.js",
		"./card": "./dist/card.js",
		"./card-context": "./dist/card-context.js",
		"./carousel": "./dist/carousel.js",
		"./dialog": "./dist/dialog.js",
		"./form/checkbox": "./dist/form/checkbox.js",
		"./form/field-container": "./dist/form/field-container.js",
		"./form/form": "./dist/form/form.js",
		"./form/input-number": "./dist/form/input-number.js",
		"./form/input-text": "./dist/form/input-text.js",
		"./form/label": "./dist/form/label.js",
		"./form/select": "./dist/form/select.js",
		"./hooks/useInterfaceSound": "./dist/hooks/useInterfaceSound.js",
		"./lib/utils": "./dist/lib/utils.js",
		"./richtext": "./dist/richtext/index.js",
		"./richtext/converters": "./dist/richtext/converters/index.js",
		"./richtext/converters/headings": "./dist/richtext/converters/headings.js",
		"./richtext/converters/internal-link": "./dist/richtext/converters/internal-link.js",
		"./section": "./dist/section/index.js",
		"./section/heading": "./dist/section/heading/index.js",
		"./section/section.types": "./dist/section/section.types.js",
		"./select": "./dist/select.js",
		"./styles/animations": "./dist/styles/animations.js",
		"./logo/text": "./dist/logo/text.js",
		"./text": "./dist/text.js",
		"./package.json": "./package.json",
		"./globals.css": "./dist/globals.css"
	},
	"dependencies": {
		"@tsdown/css": "^0.21.10",
		"clsx": "^2.1.1",
		"tailwind-merge": "^3.5.0"
	},
	"inlinedDependencies": {
		"@radix-ui/primitive": "1.1.3",
		"@radix-ui/react-accordion": "1.2.12",
		"@radix-ui/react-collapsible": "1.1.12",
		"@radix-ui/react-collection": "1.1.7",
		"@radix-ui/react-compose-refs": "1.1.2",
		"@radix-ui/react-context": "1.1.2",
		"@radix-ui/react-direction": "1.1.1",
		"@radix-ui/react-id": "1.1.1",
		"@radix-ui/react-presence": "1.1.5",
		"@radix-ui/react-primitive": "2.1.3",
		"@radix-ui/react-slot": "1.2.3",
		"@radix-ui/react-use-controllable-state": "1.2.2",
		"@radix-ui/react-use-layout-effect": "1.1.1",
		"framer-motion": "12.38.0",
		"motion-dom": "12.38.0",
		"motion-utils": "12.36.0",
		"react-dom": "19.2.5"
	}
}
